Subject: Re: bug#16887: 24.3.50; Cannot resize window (from Org Export)

From: martin rudalics <[email-masked]>
Date: Thu, 27 Feb 2014 19:44:47 +0100

> With latest Emacs from trunk as of today, I cannot display the export
 > dispatch UI of Org.
 >
 > Here is a minimal recipe:
 >
 > emacs -Q
 > M-: (set-frame-font "Meslo LG M DZ 11") RET
 > C-x C-f ~/test.org RET
 > C-c C-e
 >
 > Of course, you need this the Meslo font installed.  But maybe the
 > problem happens for other fonts as well.
 >
 > I'm attaching a backtrace.

 > Debugger entered--Lisp error: (error "Cannot resize window #<window 8 on *Org Export Dispatcher*>")
 >   signal(error ("Cannot resize window #<window 8 on *Org Export Dispatcher*>"))
 >   error("Cannot resize window %s" #<window 8 on *Org Export Dispatcher*>)
 >   window-resize(#<window 8 on *Org Export Dispatcher*> 15 nil #<window 8 on *Org Export Dispatcher*> nil)
 >   window-resize-no-error(#<window 8 on *Org Export Dispatcher*> 15 nil #<window 8 on *Org Export Dispatcher*> nil)
 >   fit-window-to-buffer(nil nil nil)
 >   (cond ((if (fboundp (quote window-full-width-p)) (not (window-full-width-p window)) (> (frame-width) (window-width window)))) ((and (fboundp (quote fit-window-to-buffer)) (not shrink-only)) (fit-window-to-buffer window max-height min-height)) ((fboundp (quote shrink-window-if-larger-than-buffer)) (shrink-window-if-larger-than-buffer window)))
 >   org-fit-window-to-buffer()

Sorry for the delay.  If nothing interferes I'll look into this
tomorrow.

Thanks for the report, martin